<?php
defined('C5_EXECUTE') or die('Access Denied.');

/*
 * Software by John Liddiard (aka JohntheFish)
 * www.c5magic.co.uk
 *
 * This package contains software copyright and proprietary to John Liddiard
 *
 */
extract($controller->getSets());

?>
<fieldset style="margin-top:20px;">

    <div class="form-group">
        <?php
        $order_by_options = [
            'desc_id' => t('Most recent'),
            'asc_id'  => t('Oldest'),
        ];

        if (empty($order_by)) {
            $order_by = 'desc_id';
        }
        echo $form->label('order_by', t('Show'));
        echo $form->select('order_by', $order_by_options, $order_by);
        ?>
    </div>

    <div class="form-group">
        <?php
        if (empty($offset)) {
            $offset = 0;
        }
        echo $form->label('offset', t('Offset from above by'));
        echo $form->number('offset', $offset, ['min' => 0, 'max' => 100000]);
        ?>
    </div>

    <div class="form-group">
        <?php
        if (empty($no_result_message)) {
            $no_result_message = '';
        }
        echo $form->label('no_result_message', t('Message to show when no result'));
        echo $form->text('no_result_message', $no_result_message, ['minlenth' => 0, 'maxlength' => 255]);
        ?>
    </div>
</fieldset>