<?php
defined('C5_EXECUTE') or die('Access Denied.');

use Concrete\Core\Support\Facade\Application;

/*
 * Software by John Liddiard (aka JohntheFish)
 * www.c5magic.co.uk
 *
 * This package contains software copyright and proprietary to John Liddiard
 *
 */
$app = Application::getFacadeApplication();

$tabs_spec = [
    'forms'   => t('Forms & Pages'),
    'sources' => t('Sources'),
    'display' => t('Display'),
    'support' => t('Support'),
];

$controller->set('block_handle', 'jl_form_reform_completion_list');
$controller->set('pkg_handle', 'jl_form_reform_display');
$controller->set('app', $app);

echo $app->make('JtFResources\Dialogs\EditDialog')->tabbedDialog($controller, $tabs_spec, 0, true);


