<?php
defined('C5_EXECUTE') or die('Access Denied.');
use Illuminate\Support\Arr;
/*
 * Software by John Liddiard (aka JohntheFish)
 * www.c5magic.co.uk
 *
 * This package contains software copyright and proprietary to John Liddiard
 *
 */
extract($controller->getSets());

if (empty($item_class)) {
    $item_class = 'form-data-result-item';
}
if (empty($label_class)) {
    $label_class = 'form-data-result-item-label';
}

if (!empty($show_data) || !empty($all_data)) {
    /*
     * Go through the columns configured in the 'Data' tab
     * in the sorted order
     */
    ?>
    <thead>
    <tr class="inverse">

        <?php
        foreach ($show_data as $k => $v) {
            if ($k === '__proforma__jtf__') {
                continue;
            }
            if (!empty($show_data_label[$k])) {
                $data_label = $show_data_label[$k];
            } else {
                $data_label = '';
            }
            if (array_key_exists($k, $metadata_columns)) {
                $col_type = 'form-metadata-item';
            } else {
                $col_type = 'form-field-value-item';
            }
            if(is_array($data_label)){
                $data_label = implode('.',Arr::flatten($data_label));
            }

            ?>
            <th class="<?php echo $col_type . ' '. $label_class.' '.$item_class . ' ' . $item_class . '-' . $k; ?>">
                <?php
                echo h($data_label);
                ?>
            </th>
            <?php
        }
        if (!empty($all_data)) {
            ?>
            <th class="form-remaining-data">
            </th>
            <?php
        }
        ?>
    </tr>
    </thead>
    <?php
}